#!/bin/sh
mkdir -p /usr/local/etc/pkg/repos
mkdir -p /usr/local/etc/ssl/certs
cat > /usr/local/etc/pkg/repos/freebsd.conf <<-EOF
FreeBSD: {
    enabled: no
}
EOF
cat > /usr/local/etc/pkg/repos/poudriere.conf <<-EOF
poudriere: {
    url: "https://poudriere.digiworks.se/packages/freebsd_13_0x64-HEAD",
    mirror_type: "https",
    signature_type: "pubkey",
    pubkey: "/usr/local/etc/ssl/certs/poudriere.cert",
    enabled: yes,
}
EOF
cat > /usr/local/etc/ssl/certs/poudriere.cert <<-EOF
-----BEGIN PUBLIC KEY-----
MIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKCAgEAxfpv6W1adUuQ11ehTSoV
TvEqoDW2g3gstC+pKgFWy2ga1EqIWnk2B4ARjsDzGhfVifD4+dFCOCQrPaKqnB3q
Dna+YStRRtlW0GKsR2fG+iivSsSd7be0YYQXhPukINXwsVSPXWy8rWOd4/p2+CF5
uELl8jptDb+97eFgyhAQEzt2So+LYiWcImitYEmbduyEgwopCOJTz40KAoaVzsI1
Dd7xzxvNorAcFZiFudHJbcV2Ax8XjyIDWS33g5YQXZKrbIfeuyuyQRvcAlOcBLQf
tHaQ0Xpg2iAN+Tsjwr1TdLW0ipcEgCSuvLC2L2/A4slMxPgyfA8m6vCTJsimNJIU
2VKeqzAjleETLpoT6fafxQ5d2Lov++O4ljLK+T/DqGZuMhUjN24f/kS4/+czXQ2T
OddsjWdWozLjLByeP0Yts26PIzxCRnh546j/pUF9l5udQFDJRVlvW6VUbLJJ/UjF
5tEqKGRnQL0/s3oJyah0sNc97lbvw5f8fymG0gHpEZ9KYy2cT7w0sPHkmsx6SNSy
fCfKr4XAeyq5kW4PB8l+SlxZDUJ5y7NoFxSCn0c0P7pB821PugHXjD/eMAALCXAi
JoMsC3J7VK98rgo3CkWqN5FRpLPZmyS1zy6RxaJpTzO9GD1BD5PA/hB0mzUjCQ28
d/d/hpKCRthp1IwfPDyXnnMCAwEAAQ==
-----END PUBLIC KEY-----
EOF
env ASSUME_ALWAYS_YES=YES pkg bootstrap
env ASSUME_ALWAYS_YES=YES pkg install ca_root_nss
env ASSUME_ALWAYS_YES=YES pkg upgrade
env ASSUME_ALWAYS_YES=YES pkg install puppet7
cat > /usr/local/etc/puppet/puppet.conf <<-EOF
[main]
vardir = /var/puppet
logdir = /var/log/puppet
rundir = /var/run/puppet
ssldir = /var/puppet/ssl

[agent]
pluginsync      = true
report          = true
ignoreschedules = true
ca_server       = foreman.server.pink
environment     = production
server          = foreman.server.pink 
EOF
service pf onestart
puppet agent -t
